org.mariadb.jdbc.internal.packet.dao.parameters

## Class StringParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.StringParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class StringParameter
    extends Object
    implements ParameterHolder, Cloneable

### Constructor Summary

Constructors
Constructor and Description
`StringParameter(String str, boolean noBackslashEscapes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream writer)` Send string value to server in binary format.
`void` `writeTo(PacketOutputStream os)` Send escaped String to outputStream.
`void` `writeUnsafeTo(PacketOutputStream os)` Send escaped String to outputStream, without checking outputStream buffer capacity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringParameter

    public StringParameter(String str,
                           boolean noBackslashEscapes)
                    throws SQLException

Throws:
  `SQLException`

### Method Detail

#### writeTo

    public void writeTo(PacketOutputStream os)

Send escaped String to outputStream.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `os` - outpustream.

#### writeUnsafeTo

    public void writeUnsafeTo(PacketOutputStream os)

Send escaped String to outputStream, without checking outputStream buffer capacity.

Specified by:
  `writeUnsafeTo` in interface `ParameterHolder`
Parameters:
  `os` - outpustream.

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`

#### writeBinary

    public void writeBinary(PacketOutputStream writer)

Send string value to server in binary format.

Specified by:
  `writeBinary` in interface `ParameterHolder`
Parameters:
  `writer` - socket to server.

#### getMariaDbType

    public MariaDbType getMariaDbType()

Specified by:
  `getMariaDbType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in interface `ParameterHolder`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`